feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.Conversion

# Documentation

data Conversion a where

Constructors

F2I :: (Type a, Integral a) => Conversion (Float :-> Full a) |
I2N :: (Type a, Type b, Integral a, Num b, Size a ~ Range a) => Conversion (a :-> Full b) |
B2I :: (Type a, Integral a) => Conversion (Bool :-> Full a) |
Round :: (Type a, Integral a) => Conversion (Float :-> Full a) |
Ceiling :: (Type a, Integral a) => Conversion (Float :-> Full a) |
Floor :: (Type a, Integral a) => Conversion (Float :-> Full a) |

Instances

EvalBind Conversion |
Semantic Conversion |
Eval Conversion |
Render Conversion |
ToTree Conversion |
Equality Conversion |
Sharable Conversion |
AlphaEq dom dom dom env => AlphaEq Conversion Conversion dom env |
SizeProp (:|| Conversion Type) |
(:<: (:|| Conversion Type) dom, OptimizeSuper dom) => Optimize (:|| Conversion Type) dom |